
QGIS Application - Bug report #1366

table sort order incorrect

2008-10-19 09:19 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11426

Description

The order of sorting for GRASS tables when clicking on the column header is incorrect (see attached png)

Associated revisions

Revision 1c5b97c9 - 2014-05-18 08:41 PM - Werner Macho

[TRANSUP] uk fixes #1366

Signed-off-by: Werner Macho <werner.macho@gmail.com>

History

#1 - 2008-11-07 11:27 AM - Markus Neteler

Paolo, was "area" a numeric column? If yes, probably string sorting is wrongly used here.

#2 - 2008-11-08 12:48 AM - Paolo Cavallini

Yes, it was numeric, whereas the order appears string-based.

I guess it might have to do with commas ("," is used for decimals in our locale, whereas grass tables show a ".")

#3 - 2008-11-08 12:51 AM - Markus Neteler

I do remember a similar bug in QGIS fixed 1-2 years ago. If the comma is the issue, then the data should be mapped to C Locale first, then sorted.

Can you try to run QGIS in English locale and see if it works?

#4 - 2008-11-08 01:10 AM - Paolo Cavallini

It is not working for double and real fields, even if LANG=C.

It appears a general problem, as it appears for shp layers too

#5 - 2008-11-08 07:08 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

2025-04-27 1/2

mailto:werner.macho@gmail.com


Fixed in

Marco

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
